Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package reflect
  Definition Classes
    scala
-  package macros
  Definition Classes
    reflect
-  package compiler
  Definition Classes
    macros
-  trait Validators extends AnyRef
  Definition Classes
    compiler
- Validator

t

scala.reflect.macros.compiler.Validators

# Validator

###

#### trait Validator extends AnyRef

Self Type
  MacroImplRefCompiler
Source
  Validators.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
MacroImplRefCompiler
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Validator
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from DefaultMacroCompiler.Validator toany2stringadd[DefaultMacroCompiler.Validator] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (DefaultMacroCompiler.Validator, B)
   Implicit
     This member is added by an implicit conversion from DefaultMacroCompiler.Validator toArrowAssoc[DefaultMacroCompiler.Validator] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  lazy val aparamss: List[List[tools.nsc.Global.Symbol]]
7.  lazy val aret: tools.nsc.Global.Type
8.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
9.  lazy val atparams: List[tools.nsc.Global.Symbol]
10.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
11.  def ensuring(cond: (DefaultMacroCompiler.Validator) => Boolean, msg: => Any): DefaultMacroCompiler.Validator
    Implicit
      This member is added by an implicit conversion from DefaultMacroCompiler.Validator toEnsuring[DefaultMacroCompiler.Validator] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: (DefaultMacroCompiler.Validator) => Boolean): DefaultMacroCompiler.Validator
    Implicit
      This member is added by an implicit conversion from DefaultMacroCompiler.Validator toEnsuring[DefaultMacroCompiler.Validator] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: Boolean, msg: => Any): DefaultMacroCompiler.Validator
    Implicit
      This member is added by an implicit conversion from DefaultMacroCompiler.Validator toEnsuring[DefaultMacroCompiler.Validator] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean): DefaultMacroCompiler.Validator
    Implicit
      This member is added by an implicit conversion from DefaultMacroCompiler.Validator toEnsuring[DefaultMacroCompiler.Validator] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
17.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
18.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from DefaultMacroCompiler.Validator toStringFormat[DefaultMacroCompiler.Validator] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
19.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
20.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
21.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
22.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
23.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
24.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
25.  lazy val rparamss: List[List[tools.nsc.Global.Symbol]]
26.  lazy val rret: tools.nsc.Global.Type
27.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
28.  def toString(): String
    Definition Classes
      AnyRef → Any
29.  def validateMacroImplRef(): Unit
30.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
31.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
32.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (DefaultMacroCompiler.Validator, B)
   Implicit
     This member is added by an implicit conversion from DefaultMacroCompiler.Validator toArrowAssoc[DefaultMacroCompiler.Validator] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromDefaultMacroCompiler.Validator to any2stringadd[DefaultMacroCompiler.Validator]

### Inherited by implicit conversion StringFormat fromDefaultMacroCompiler.Validator to StringFormat[DefaultMacroCompiler.Validator]

### Inherited by implicit conversion Ensuring fromDefaultMacroCompiler.Validator to Ensuring[DefaultMacroCompiler.Validator]

### Inherited by implicit conversion ArrowAssoc fromDefaultMacroCompiler.Validator to ArrowAssoc[DefaultMacroCompiler.Validator]

### Ungrouped